hashChains :
	add O(1) в худшем 
		v[hash(x)].push_back(x)
	find O(1) в среднем
	del O(1) в среднем

hashOpen   :
	add O(1) в среднем
	find O(1) в среднем
	del O(1) в среднем

hashCookoo : // ~2001
	add O(1) в среднем
	find O(1) в худшем =2  <=1.5
	del O(1) в худшем 

// x,y  (x+y)-x   x^y^x
hash1 : x --> i1 : i1^hash1(h[i1])^hash2(h[i1])
hash2 : x --> i2






